Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.spotflow.co/api/v1/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spotflow.co/api/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z",
"nextPaymentDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"name": "John Doe"
},
"metadata": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"currency": "NGN",
"regionName": "Nigeria",
"amount": 5000
}
],
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
}
]{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"message": "Authorization token is required.",
"statusCode": 401,
"code": "AUTH_ERROR",
"requestMarker": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Retrieve details of all subscriptions.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the customer Id whose subscriptions are to be retrieved.
The unique identifier of the email whose subscriptions are to be retrieved.
Page number for pagination (default is 0).
Number of items per page for pagination (default is 10).
